Package com.ericsson.otp.erlang

## Class OtpErlangList.SubList

- java.lang.Object
- - com.ericsson.otp.erlang.OtpErlangObject
  - - com.ericsson.otp.erlang.OtpErlangList
    - - com.ericsson.otp.erlang.OtpErlangList.SubList

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<OtpErlangObject>`

Enclosing class:
  OtpErlangList

    public static class OtpErlangList.SubList
    extends OtpErlangList

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.ericsson.otp.erlang.OtpErlangList

`OtpErlangList.SubList`

### Nested classes/interfaces inherited from class com.ericsson.otp.erlang.OtpErlangObject

`OtpErlangObject.Hash`

### Field Summary

### Fields inherited from class com.ericsson.otp.erlang.OtpErlangObject

`hashCodeValue`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `arity()` Get the arity of the list.
`OtpErlangObject` `elementAt​(int i)` Get the specified element from the list.
`OtpErlangObject[]` `elements()` Get all the elements from the list as an array.
`void` `encode​(OtpOutputStream stream)` Convert this list to the equivalent Erlang external representation.
`OtpErlangObject` `getHead()`
`OtpErlangObject` `getLastTail()`
`OtpErlangObject` `getNthTail​(int n)`
`boolean` `isProper()`
`java.util.Iterator<OtpErlangObject>` `iterator()`
`java.lang.String` `toString()` Get the string representation of the list.

### Methods inherited from class com.ericsson.otp.erlang.OtpErlangList

`bind, clone, doHashCode, encode, equals, getTail, match, stringValue, toString`

### Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject

`decode, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### arity

    public int arity()

Description copied from class: `OtpErlangList`
Get the arity of the list.

Overrides:
  `arity` in class `OtpErlangList`
Returns:
  the number of elements contained in the list.

#### elementAt

    public OtpErlangObject elementAt​(int i)

Description copied from class: `OtpErlangList`
Get the specified element from the list.

Overrides:
  `elementAt` in class `OtpErlangList`
Parameters:
  `i` - the index of the requested element. List elements are numbered as array elements, starting at 0.
Returns:
  the requested element, of null if i is not a valid element index.

#### elements

    public OtpErlangObject[] elements()

Description copied from class: `OtpErlangList`
Get all the elements from the list as an array.

Overrides:
  `elements` in class `OtpErlangList`
Returns:
  an array containing all of the list's elements.

#### isProper

    public boolean isProper()

Overrides:
  `isProper` in class `OtpErlangList`
Returns:
  true if the list is proper, i.e. the last tail is nil

#### getHead

    public OtpErlangObject getHead()

Overrides:
  `getHead` in class `OtpErlangList`

#### getNthTail

    public OtpErlangObject getNthTail​(int n)

Overrides:
  `getNthTail` in class `OtpErlangList`

#### toString

    public java.lang.String toString()

Description copied from class: `OtpErlangList`
Get the string representation of the list.

Overrides:
  `toString` in class `OtpErlangList`
Returns:
  the string representation of the list.

#### encode

    public void encode​(OtpOutputStream stream)

Description copied from class: `OtpErlangList`
Convert this list to the equivalent Erlang external representation. Note that this method never encodes lists as strings, even when it is possible to do so.

Overrides:
  `encode` in class `OtpErlangList`
Parameters:
  `stream` - An output stream to which the encoded list should be written.

#### getLastTail

    public OtpErlangObject getLastTail()

Overrides:
  `getLastTail` in class `OtpErlangList`

#### iterator

    public java.util.Iterator<OtpErlangObject> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<OtpErlangObject>`
Overrides:
  `iterator` in class `OtpErlangList`